Subject: bug#22534: File notify broken on Windows

From: Michael Albinus <[email-masked]>
Date: Mon, 08 Feb 2016 21:00:42 +0100

Eli Zaretskii <[email-masked]> writes:

> Because I see this in file-notify-test.log:
>
>    passed  13/16  file-notify-test06-many-events
>
> Only the remote part of 06 is skipped.  Am I missing something?

The remote part is skipped because you are on MS Windows. Expensive
checks are skipped only for "make check" and "make check-maybe". "make
file-notify-tests" run all possible tests in that file.

>> "make check" knows the SELECTOR variable. You could do
>> 
>> # make SELECTOR='(quote (eql file-notify-test02-events))' \
>>   -C test/automated file-notify-tests
>
> OK, thanks.  I wish this were described on some README, or maybe it
> could even be less cumbersome to type.

Description of how to run the tests needs more care. I put it on my
TODO.

The syntax of selectors is given by ert. See (info "(ert) Test Selectors")

Best regards, Michael.